Subject: Re: bug#32199: Four failed self tests on Solaris

From: Assaf Gordon <[email-masked]>
Date: Wed, 18 Jul 2018 23:45:55 -0600

tag 32199 notabug
close 32199
stop

Hello Jeff,

On 18/07/18 10:46 AM, Jeffrey Walton wrote:
> Hi Everyone,
> 
> I'm working on Solaris 11.3 x86_64 fully pacthed (or as fully patched
> as it can be without purchasing support). I'm building the from
> sources using the latest tarball (sed-4.4.tar.xz).

Thanks for testing and reporting.

sed-4.5 was released few months ago (though I don't think it change
change the test results).

> $ make check
> ...
> 
> PASS: testsuite/writeout
> PASS: testsuite/readin
> PASS: testsuite/insert
> XFAIL: testsuite/utf8-1
> XFAIL: testsuite/utf8-2
> XFAIL: testsuite/utf8-3
> XFAIL: testsuite/utf8-4
> PASS: testsuite/badenc
> PASS: testsuite/inplace-hold
> ...

"XFAIL" is eXpected failure: these tests are not expected
to succeed on some system.

Therefore I'm closing this bug report as "not a bug",
but discussion can continue by replying to this thread.

regards,
   - assaf